Show / Hide Table of Contents

# Class TextDocumentItem

Defines a text document.

##### Inheritance

System.Object
TextDocumentItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class TextDocumentItem

### Properties

| Improve this Doc View Source

#### LanguageId

Gets or sets the language of the document

##### Declaration

    public string LanguageId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Text

Gets or sets the full content of the document.

##### Declaration

    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Uri

Gets or sets the URI which identifies the path of the text document.

##### Declaration

    public string Uri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Version

Gets or sets the version of the document

##### Declaration

    public int Version { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |